# Class: OptionRequirement

[internal](../modules/internal-26.md).OptionRequirement

## Properties

### amount

• **amount**: `number`

#### Defined in

medusa/dist/api/routes/admin/shipping-options/update-shipping-option.d.ts:119

___

### id

• **id**: `string`

#### Defined in

medusa/dist/api/routes/admin/shipping-options/update-shipping-option.d.ts:117

___

### type

• **type**: `string`

#### Defined in

medusa/dist/api/routes/admin/shipping-options/update-shipping-option.d.ts:118
